# Uses of Class
org.apache.lucene.codecs.KnnVectorsReader

Packages that use KnnVectorsReader
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene102
Lucene 10.2 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of KnnVectorsReader in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return KnnVectorsReader
  Modifier and Type
  Method
  Description
  `abstract KnnVectorsReader`
  KnnVectorsFormat.`fieldsReader(SegmentReadState state)`
  Returns a `KnnVectorsReader` to read the vectors from the index.
  `KnnVectorsReader`
  KnnVectorsReader.`getMergeInstance()`
  Returns an instance optimized for merging.

- ## Uses of KnnVectorsReader in org.apache.lucene.codecs.hnsw

  Subclasses of KnnVectorsReader in org.apache.lucene.codecs.hnsw
  Modifier and Type
  Class
  Description
  `class`
  `FlatVectorsReader`
  Reads vectors from an index.

- ## Uses of KnnVectorsReader in org.apache.lucene.codecs.lucene102

  Methods in org.apache.lucene.codecs.lucene102 that return KnnVectorsReader
  Modifier and Type
  Method
  Description
  `KnnVectorsReader`
  Lucene102HnswBinaryQuantizedVectorsFormat.`fieldsReader(SegmentReadState state)`

- ## Uses of KnnVectorsReader in org.apache.lucene.codecs.lucene99

  Subclasses of KnnVectorsReader in org.apache.lucene.codecs.lucene99
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene99FlatVectorsReader`
  Reads vectors from the index segments.
  `final class`
  `Lucene99HnswVectorsReader`
  Reads vectors from the index segments along with index data structures supporting KNN search.
  `final class`
  `Lucene99ScalarQuantizedVectorsReader`
  Reads Scalar Quantized vectors from the index segments along with index data structures.
  Methods in org.apache.lucene.codecs.lucene99 that return KnnVectorsReader
  Modifier and Type
  Method
  Description
  `KnnVectorsReader`
  Lucene99HnswScalarQuantizedVectorsFormat.`fieldsReader(SegmentReadState state)`
  `KnnVectorsReader`
  Lucene99HnswVectorsFormat.`fieldsReader(SegmentReadState state)`
  `KnnVectorsReader`
  Lucene99HnswVectorsReader.`getMergeInstance()`

- ## Uses of KnnVectorsReader in org.apache.lucene.codecs.perfield

  Subclasses of KnnVectorsReader in org.apache.lucene.codecs.perfield
  Modifier and Type
  Class
  Description
  `static class`
  `PerFieldKnnVectorsFormat.FieldsReader`
  VectorReader that can wrap multiple delegate readers, selected by field.
  Methods in org.apache.lucene.codecs.perfield that return KnnVectorsReader
  Modifier and Type
  Method
  Description
  `KnnVectorsReader`
  PerFieldKnnVectorsFormat.`fieldsReader(SegmentReadState state)`
  `KnnVectorsReader`
  PerFieldKnnVectorsFormat.FieldsReader.`getFieldReader(String field)`
  Return the underlying VectorReader for the given field
  `KnnVectorsReader`
  PerFieldKnnVectorsFormat.FieldsReader.`getMergeInstance()`

- ## Uses of KnnVectorsReader in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as KnnVectorsReader
  Modifier and Type
  Field
  Description
  `final KnnVectorsReader[]`
  MergeState.`knnVectorsReaders`
  Vector readers to merge
  Methods in org.apache.lucene.index that return KnnVectorsReader
  Modifier and Type
  Method
  Description
  `abstract KnnVectorsReader`
  CodecReader.`getVectorReader()`
  Expert: retrieve underlying VectorReader
  `KnnVectorsReader`
  FilterCodecReader.`getVectorReader()`
  `KnnVectorsReader`
  SegmentReader.`getVectorReader()`
  `KnnVectorsReader`
  SortingCodecReader.`getVectorReader()`
  Constructors in org.apache.lucene.index with parameters of type KnnVectorsReader
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.

- ## Uses of KnnVectorsReader in org.apache.lucene.util.hnsw

  Methods in org.apache.lucene.util.hnsw that return KnnVectorsReader
  Modifier and Type
  Method
  Description
  `KnnVectorsReader`
  IncrementalHnswGraphMerger.GraphReader.`reader()`
  Returns the value of the `reader` record component.
  Methods in org.apache.lucene.util.hnsw with parameters of type KnnVectorsReader
  Modifier and Type
  Method
  Description
  `HnswGraphMerger`
  HnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
  Adds a reader to the graph merger to record the state
  `IncrementalHnswGraphMerger`
  IncrementalHnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
  Adds a reader to the graph merger if it meets the following criteria: 1.
  Constructors in org.apache.lucene.util.hnsw with parameters of type KnnVectorsReader
  Modifier
  Constructor
  Description
  `protected`
  `GraphReader(KnnVectorsReader reader, MergeState.DocMap initDocMap, int graphSize)`
  Creates an instance of a `GraphReader` record class.